Package org.bgerp.app.servlet.filter

# Class OpenFilter

java.lang.Object
org.bgerp.app.servlet.filter.OpenFilter

All Implemented Interfaces:
  `javax.servlet.Filter`

public class OpenFilter extends Object implements javax.servlet.Filter

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OpenFilter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `destroy()`
  `void`
  `doFilter(javax.servlet.ServletRequest servletRequest, javax.servlet.ServletResponse servletResponse, javax.servlet.FilterChain filterChain)`
  `static final String`
  `getRequestSecret(javax.servlet.ServletRequest request)`
  After forwarding to shell.jsp secret parameter is lost, so it is preserved as attribute.
  `static final String`
  `getRequestURI(javax.servlet.ServletRequest request)`
  After forwarding to shell.jsp original requestURL is lost, so it is preserved as attribute.
  `void`
  `init(javax.servlet.FilterConfig filterConfig)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OpenFilter

    public OpenFilter()

- ## Method Details

  - ### init

    public void init(javax.servlet.FilterConfig filterConfig) throws javax.servlet.ServletException
    Specified by:
      `init` in interface `javax.servlet.Filter`
    Throws:
      `javax.servlet.ServletException`

  - ### destroy

    public void destroy()
    Specified by:
      `destroy` in interface `javax.servlet.Filter`

  - ### doFilter

    public void doFilter(javax.servlet.ServletRequest servletRequest, javax.servlet.ServletResponse servletResponse, javax.servlet.FilterChain filterChain) throws IOException, javax.servlet.ServletException
    Specified by:
      `doFilter` in interface `javax.servlet.Filter`
    Throws:
      `IOException`
      `javax.servlet.ServletException`

  - ### getRequestURI

    public static final String getRequestURI(javax.servlet.ServletRequest request)
    After forwarding to shell.jsp original requestURL is lost, so it is preserved as attribute.
    Returns:
      preserved URI or `null`

  - ### getRequestSecret

    public static final String getRequestSecret(javax.servlet.ServletRequest request)
    After forwarding to shell.jsp secret parameter is lost, so it is preserved as attribute.
    Returns:
      preserved secret or `null`